Pular para o conteúdo principal
GET
/
tracking
Listar monitoramentos
curl --request GET \
  --url https://requests.production.judit.io/tracking \
  --header 'Authorization: Bearer <token>'
{
  "page": 123,
  "page_data": [
    {
      "tracking_id": "<string>",
      "user_id": "<string>",
      "recurrence": 123,
      "with_attachments": true,
      "search": {
        "search_key": "<string>",
        "on_demand": true,
        "cache_ttl_in_days": 123,
        "search_params": {
          "full_lawsuit": true,
          "should_search_branches": true,
          "public_search": true,
          "lawsuit_instance": 123,
          "attachment_id": "<string>",
          "attachment_extension": "<string>",
          "filter": {
            "party_names": [
              "<string>"
            ],
            "party_documents": [
              "<string>"
            ],
            "distribution_date_gte": "2023-11-07T05:31:56Z",
            "distribution_date_lte": "2023-11-07T05:31:56Z",
            "last_step_date_gte": "2023-11-07T05:31:56Z",
            "last_step_date_lte": "2023-11-07T05:31:56Z",
            "tribunals": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "classification_codes": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "classification_names": {
              "keys": [
                "<string>"
              ],
              "not_equal": true
            },
            "subject_codes": {
              "contains": [
                "<string>"
              ],
              "not_contains": [
                "<string>"
              ]
            },
            "subject_names": {
              "contains": [
                "<string>"
              ],
              "not_contains": [
                "<string>"
              ]
            },
            "amount_lte": 123,
            "amount_gte": 123
          },
          "pagination": {
            "page": 123,
            "page_size": 123
          },
          "credential": {
            "customer_key": "<string>"
          }
        }
      },
      "notification_emails": [
        "<string>"
      ],
      "tracked_items_count": 123,
      "tracked_items_steps_count": 123,
      "company_id": "<string>",
      "notification_filters": {
        "step_terms": [
          "<string>"
        ]
      },
      "callback_url": "<string>",
      "tags": {},
      "fixed_time": true,
      "hour_range": 123,
      "execution_minute": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "request_id": "<string>",
      "updating_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "paused_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page_count": 123,
  "all_count": 123,
  "all_pages_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.judit.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

JWT Bearer token for authentication

Parâmetros de consulta

tracking_id
string[]
user_id
string[]
status
string[]
search_type
string[]
response_type
string[]
search_key
string[]
side
string[]
lawsuit_instance
number
full_lawsuit
boolean
plan_config_type
string[]
tracked_items_count_gte
number
tracked_items_count_lte
number
tracked_items_steps_count_gte
number
tracked_items_steps_count_lte
number
recurrence_gte
number
recurrence_lte
number
created_at_gte
string<date-time>
created_at_lte
string<date-time>
updated_at_gte
string<date-time>
updated_at_lte
string<date-time>
updating_at_gte
string<date-time>
updating_at_lte
string<date-time>
paused_at_gte
string<date-time>
paused_at_lte
string<date-time>
deleted_at_gte
string<date-time>
deleted_at_lte
string<date-time>
order
object
page
number
padrão:1
obrigatório
Intervalo obrigatório: x >= 1
page_size
number
padrão:10
obrigatório
Intervalo obrigatório: 5 <= x <= 1000

Resposta

Successful response

page
number
obrigatório
page_data
object[]
obrigatório
page_count
number
obrigatório
all_count
number
obrigatório
all_pages_count
number
obrigatório